regina::LPInitialTableaux< LPConstraint >::Col Struct Reference
Vertex Enumeration

Stores a single column of the adjusted matching equation matrix in sparse form. More...

`#include <enumerate/ntreelp.h>`

Inheritance diagram for regina::LPInitialTableaux< LPConstraint >::Col:

## Public Member Functions

| Col ()
| Initialises an empty column. More...
void | push (unsigned row, int val)
| Adds the given entry in the given row to this column. More...

## Public Attributes

unsigned | nPlus
| The total number of +1 entries in this column. More...
unsigned | plus [4]
| The rows containing these +1 entries, in any order. More...
unsigned | nMinus
| The total number of -1 entries in this column. More...
unsigned | minus [4]
| The rows containing these -1 entries, in any order. More...

## Detailed Description

### template<class LPConstraint>
struct regina::LPInitialTableaux< LPConstraint >::Col

Stores a single column of the adjusted matching equation matrix in sparse form.

Specifically, this stores the location of each +1 entry, and the location of each -1 entry. If some entry in the matrix is greater than +1 or less than -1, we represent it using multiple +1 or -1 entries in the same matrix location.

For any additional rows that represent extra linear constraints, we inherit the coefficients directly from LPConstraint::Coefficients.

The documentation for this struct was generated from the following file:

- enumerate/ntreelp.h

Copyright © 1999-2014, The Regina development team
This software is released under the GNU General Public License, with some additional permissions; see the source code for details.
For further information, or to submit a bug or other problem, please contact Ben Burton (bab@debian.org).